Jump to content

Leaderboard

Popular Content

Showing content with the highest reputation on 06/13/2020 in all areas

  1. The author already commented nicely, so just omit sub m_AddPaddingPoints (Public Function CalculateHull () As Boolean ;<snippet> ' ' Use the hull points as the set of value to check ' adding an extra set of points ' m_AddPaddingPoints blnAnimate = m_blnAnimate ;<snippet>
    1 point
  2. LISP try LM:ConvexHull or ExcelForum - VB site hosted by www.andypope.info has been reported as unsafe!
    1 point
  3. You should post the xls for testing in future. Any way so long as you always have a convex shape this should work. It looks at an internal angle of the points so no graph's etc required, H pattern will not work. Use in excel cell F2 =(concatenate("point ",B2,",",C2) then copy down and copy and paste like sample F2-F11, As "close" is part of code so no need for last point. ; pline around points ; By AlanH info@alanh.com.au : June 2020 (vl-load-com) (defun c:plpoints ( / ss pt pts x ent lst) (setq ss (ssget (list (cons 0 "POINT")))) (setq pt (getpoint "pick center point")) (setq lst '()) (repeat (setq x (sslength ss)) (setq ent (ssname ss (setq x (- x 1)))) (setq pts (cdr (assoc 10 (entget ent)))) (setq lst (cons (list (angle pts pt) (list (car pts)(cadr pts))) lst)) ) (setq lst (vl-sort lst '(lambda (x y) (< (car x)(car y))))) (entmakex (append (list (cons 0 "LWPOLYLINE") (cons 100 "AcDbEntity") (cons 100 "AcDbPolyline") (cons 90 (length lst)) (cons 70 1)) (mapcar (function (lambda (p) (cons 10 (nth 1 p)))) lst)) ) (princ) ) (c:clpoints)
    1 point
  4. And for exisiting attributes Found somewhere I don't remeber exactly ;Converts attributes (attr. definitions, tags) to plain texts (defun C:A2T ( / ss ssl i e new grp grplst addg) (if (setq ss (ssget '((0 . "ATTDEF")))) (progn (setq ssl (sslength ss) i 0 ) (setq grplst (list 7 8 10 11 39 40 41 50 51 62 71 72 73)) (while (< i ssl) (setq e (ssname ss i)) (setq ent (entget e)) (setq new '((0 . "TEXT"))) (setq new (append new (list (cons 1 (cdr (assoc 2 ent)))))) (foreach grp grplst (setq addg (assoc grp ent)) (if (/= addg nil) (setq new (append new (list (assoc grp ent)))) ) ) (entmake new) (entdel e) (setq i (1+ i)) ) ) (princ "\nNo attribute Selected") ) (princ) ) ; defun
    1 point
×
×
  • Create New...